Bug 72658

Summary: Sawfish menus stop working after a while
Product: [Retired] Red Hat Linux Reporter: Ted Clark <bison>
Component: sawfishAssignee: Havoc Pennington <hp>
Status: CLOSED UPSTREAM QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: bos
Target Milestone: ---Keywords: MoveUpstream, Triaged
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-12 23:02:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ted Clark 2002-08-26 09:32:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
The sawfish window/root window menus stop working after a while.  The Gnome
panel Main Menu -> Extras -> Preferences -> Sawfish window manager menus
continue to function.  I have to kill and restart sawfish to get the menus
working again.  If I start sawfish from a terminal so that output goes to stderr
I get the message "Error: Menu is already active" when I middle-click the
desktop or right-click the close or minimize buttons on a window (crux theme). 
I am able to duplicate this problem without Gnome by starting sawfish from a
$HOME/.Xclients file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the sawfish root window menu and window menus for a while.
2.
3.
	

Actual Results:  After a while the menus stop working; the menu is not mapped,
and the message "Error: Menu is already active" is sent to stderr.

Expected Results:  The menus should continue working for the duration of the
session.

Additional info:
Comment 1 Bryan O'Sullivan 2002-12-10 00:54:52 EST
More details: the sawfish-menu process somehow gets into an unkillable state,
and has to be nuked with a "kill -9".
Comment 2 Bryan O'Sullivan 2002-12-10 00:56:19 EST
I forgot to mention in the earlier comment that killing the recalcitrant
sawfish-menu process unwedges things.  Unfortunately, killall doesn't find the
process, so I have to use ps and kill manually.  Ugh.
Comment 3 Ted Clark 2002-12-10 09:10:28 EST
bos, try 'killall rep'
Comment 4 Havoc Pennington 2003-01-12 23:02:19 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103325

May be fixed in Sawfish 1.2 though